package com.ruoyi.ss.access.domain;

import com.ruoyi.common.annotation.Sensitive;
import com.ruoyi.common.enums.DesensitizedType;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 第三方API秘钥对对象 ss_access
 *
 * @author ruoyi
 * @date 2024-07-17
 */
@Data
public class Access extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 秘钥对ID */
    private Long accessId;

    /** 申请用户ID */
    @Excel(name = "申请用户ID")
    private Long userId;

    /** 秘钥键 */
    @Excel(name = "秘钥键")
    private String accessKey;

    /** 秘钥（加密） */
    @Excel(name = "秘钥")
    @Sensitive(desensitizedType = DesensitizedType.PASSWORD)
    private String accessSecret;
}
