package com.ruoyi.ss.deviceTenant.mapper;

import com.ruoyi.ss.deviceTenant.domain.SmDeviceTenant;
import com.ruoyi.ss.deviceTenant.domain.SmDeviceTenantQuery;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 设备与租户绑定（中间）Mapper接口
 *
 * @author ruoyi
 * @date 2024-03-15
 */
public interface SmDeviceTenantMapper
{
    /**
     * 查询设备与租户绑定（中间）
     *
     * @param id 设备与租户绑定（中间）主键
     * @return 设备与租户绑定（中间）
     */
    public SmDeviceTenant selectSmDeviceTenantById(Long id);

    /**
     * 查询设备与租户绑定（中间）列表
     *
     * @param smDeviceTenant 设备与租户绑定（中间）
     * @return 设备与租户绑定（中间）集合
     */
    public List<SmDeviceTenant> selectSmDeviceTenantList(SmDeviceTenantQuery smDeviceTenant);

    /**
     * 新增设备与租户绑定（中间）
     *
     * @param smDeviceTenant 设备与租户绑定（中间）
     * @return 结果
     */
    public int insertSmDeviceTenant(SmDeviceTenant smDeviceTenant);

    /**
     * 修改设备与租户绑定（中间）
     *
     * @param smDeviceTenant 设备与租户绑定（中间）
     * @return 结果
     */
    public int updateSmDeviceTenant(SmDeviceTenant smDeviceTenant);

    /**
     * 删除设备与租户绑定（中间）
     *
     * @param id 设备与租户绑定（中间）主键
     * @return 结果
     */
    public int deleteSmDeviceTenantById(Long id);

    /**
     * 批量删除设备与租户绑定（中间）
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSmDeviceTenantByIds(Long[] ids);

    /**
     * 解绑设备
     * @param tenantId 用户id
     * @param deviceId 设备id
     */
    int unBind(@Param("tenantId") Long tenantId, @Param("deviceId") Long deviceId);

    /**
     * 设置用户的默认设备
     * @param tenantId 用户id
     * @param deviceId 默认设备id
     */
    int setDefault(@Param("tenantId") Long tenantId, @Param("deviceId") Long deviceId);

}
