package com.ruoyi.ss.transactionBill.domain;

import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.common.core.domain.JsonViewProfile;
import com.ruoyi.ss.suit.domain.enums.SuitTimeUnit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 辉
 * 2024/3/4
 */
@ApiModel
@Data
public class TransactionBillVo extends TransactionBill {
    @ApiModelProperty("用户名称")
    @JsonView(JsonViewProfile.App.class)
    private String userName;

    @ApiModelProperty("商户（到账用户）名称")
    @JsonView(JsonViewProfile.App.class)
    private String mchName;

    @ApiModelProperty("支付渠道名称")
    @JsonView(JsonViewProfile.App.class)
    private String channelName;

    @ApiModelProperty("商户手机号")
    private String mchMobile;

    /**
     * 获取套餐时长（秒）
     */
    public long toSecondSuitTime() {
        SuitTimeUnit unit = SuitTimeUnit.getByValue(this.getSuitTimeUnit());
        if (unit == null) {
            unit = SuitTimeUnit.MINUTE;
        }
        long time = this.getSuitTime() == null ? 0 : this.getSuitTime();
        return time * unit.getConversion();
    }
}
