package com.ruoyi.ss.transactionBill.domain.enums;

import com.ruoyi.common.exception.ServiceException;
import com.ruoyi.ss.account.domain.enums.AccountType;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * 支付方式（打款方式）
 * @author 辉
 * 2024/3/12
 */
@Getter
@AllArgsConstructor
public enum TransactionBillPayType {

    WECHAT(1L, "微信支付", AccountType.WECHAT),
    ALI(2L, "支付宝", AccountType.ALIPAY),
    BANK(3L, "银行卡", AccountType.BANK_CARD);

    private final Long type;
    private final String name;
    private final AccountType accountType;

    public static TransactionBillPayType parse(Long type) {
        for (TransactionBillPayType value : TransactionBillPayType.values()) {
            if (Objects.equals(value.getType(), type)) {
                return value;
            }
        }
        throw new ServiceException("不存在值为" + type + "的支付方式（打款方式）");
    }
}
