package com.ruoyi.ss.transactionBill.service.impl;

import com.ruoyi.common.utils.collection.CollectionUtils;
import com.ruoyi.ss.channel.domain.SmChannel;
import com.ruoyi.ss.channel.domain.SmChannelQuery;
import com.ruoyi.ss.channel.service.ISmChannelService;
import com.ruoyi.ss.transactionBill.domain.TransactionBillVo;
import com.ruoyi.ss.transactionBill.service.TransactionAssembler;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.stream.Collectors;

/**
 * @author wjh
 * 2024/5/5
 */
@Service
public class TransactionAssemblerImpl implements TransactionAssembler {

    @Autowired
    private ISmChannelService channelService;

    /**
     * 拼接渠道名称
     *
     * @param list
     */
    @Override
    public void assembleChannelName(List<TransactionBillVo> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return;
        }
        SmChannelQuery query = new SmChannelQuery();
        query.setChannelIds(list.stream().map(TransactionBillVo::getChannelId).filter(Objects::nonNull).distinct().collect(Collectors.toList()));
        Map<Long, SmChannel> map = channelService.selectMap(query, SmChannel::getChannelId);

        for (TransactionBillVo bill : list) {
            SmChannel channel = map.get(bill.getChannelId());
            if (channel != null) {
                bill.setChannelName(channel.getName());
            }
        }
    }
}
