package com.ruoyi.ss.user.domain;

import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.JsonViewProfile;
import com.ruoyi.common.core.domain.entity.SmUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 用户列表VO
 *
 * @author 辉
 * 2024/3/2
 */
@Data
public class SmUserVo extends SmUser {
    @Excel(name = "绑定设备数量")
    @ApiModelProperty("绑定设备数量")
    @JsonView(JsonViewProfile.App.class)
    private Integer deviceCount;    // 绑定设备数量

    @Excel(name = "充值金额")
    @ApiModelProperty("充值金额")
    private BigDecimal rechargeAmount; // 充值金额

    @Excel(name = "提现金额")
    @ApiModelProperty("提现金额")
    @JsonView(JsonViewProfile.App.class)
    private BigDecimal withDrawlAmount;    // 提现金额

    @ApiModelProperty("总收入")
    private BigDecimal totalIncome; // 总收入

    @ApiModelProperty("商户店铺数量")
    @JsonView(JsonViewProfile.App.class)
    private Integer storeCount;
}
