package com.ruoyi.web.controller.app;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.ValidGroup;
import com.ruoyi.ss.account.domain.SmAccountBO;
import com.ruoyi.ss.account.domain.SmAccountQuery;
import com.ruoyi.ss.account.service.ISmAccountService;
import com.ruoyi.system.service.IVerificationCodeService;
import com.ruoyi.web.core.annotation.MchRequired;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * @author wjh
 * 2024/3/26
 */
@RestController
@RequestMapping("/app/account")
public class AppAccountController extends BaseController {

    @Autowired
    private ISmAccountService accountService;

    @Autowired
    private IVerificationCodeService verificationCodeService;

    @MchRequired
    @ApiOperation("添加收款账户")
    @PostMapping
    public AjaxResult addAccount(@RequestBody @Validated({ValidGroup.FrontCreate.class})SmAccountBO data) {
        data.setUserId(getUserId());
        return success(accountService.addAccount(data));
    }

    @ApiOperation("查询本人收款账户列表")
    @GetMapping
    public AjaxResult list(@Validated({ValidGroup.Query.class}) SmAccountQuery dto) {
        dto.setUserId(getUserId());
        return success(accountService.selectSmAccountGroup(dto));
    }

    @ApiOperation("设置账户为默认账户")
    @PutMapping("/{accountId}/setDefault")
    public AjaxResult list(@PathVariable @ApiParam("账户id") Long accountId) {
        return success(accountService.setDefault(getUserId(), accountId));
    }

}
