package com.ruoyi.web.core.aspectj;

import com.ruoyi.common.constant.HttpStatus;
import com.ruoyi.common.core.domain.entity.SmUser;
import com.ruoyi.common.core.domain.model.LoginUser;
import com.ruoyi.common.exception.ServiceException;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.ServiceUtil;
import com.ruoyi.framework.web.service.TokenService;
import com.ruoyi.ss.user.domain.SmUserVo;
import com.ruoyi.ss.user.service.ISmUserService;
import com.ruoyi.web.core.annotation.DeviceAdminRequired;
import com.ruoyi.web.core.annotation.MchRequired;
import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 用户类型权限切面
 * @author 辉
 * 2024/3/8
 */
@Aspect
@Component
public class DeviceAdminRequiredAspect {

    @Autowired
    private ISmUserService smUserService;

    @Autowired
    private TokenService tokenService;

    // 判断当前用户是否有权限访问
    @Before("@annotation(required)")
    public void doBefore(JoinPoint point, DeviceAdminRequired required) {
        SmUserVo user = smUserService.selectSmUserByUserId(SecurityUtils.getUserId());
        ServiceUtil.assertion(user == null || user.getDeviceAdmin() == null || !user.getDeviceAdmin(), "您无权操作" );
    }

}
